$font-family: 'Lato', sans-serif;
$title-font: 'Pacifico', sans-serif;
$slightly-gray: #eee;
$light-grey: #DDD;
$grey: #808c99;
$primary-color: #EA0079;
$text-color: #696969;
$background-color: #FFF;
$border-radius: 3px;
$margin: 24px;
$container-padding: 12px 24px;
$selectbox-padding: .5em 0;
$input-padding: .5em .3em;
$btn-padding: .5em .3em;

* {
  box-sizing: border-box;
}

body {
  min-width: 240px;
  font-family: $font-family;
  font-size: 14px;
  color: $text-color;
  background-color: $background-color;
}

.container {
  padding: $container-padding;
}

h1 {
  font-size: 22px;
  font-weight: normal;
  font-family: $title-font;
  text-align: center;
  color: $primary-color;
  margin: 0;
  margin-bottom: $margin;
}

h2 {
  font-size: 14px;
  color: $primary-color;
  margin: 0;
  margin-bottom: 1rem;
}

h3 {
  font-size: 14px;
  font-weight: normal;
  color: $grey;
  margin: 0;
  margin-bottom: .5rem;
}

.form-group {
  margin-bottom: $margin * 1.5;
}

.input-area {
  margin-bottom: 14px;
  label {
    display: block;
  }
}

select, input[type=text] {
  outline: 0;
  font-family: $font-family;
  font-size: 16px;
  display: block;
  width: 100%;
  border: none;
  border-bottom: 1px solid $light-grey;
  background-color: transparent;
  color: $text-color;
}
select {
  padding: $selectbox-padding;
}
input[type=text] {
  padding: $input-padding;
}

.buttons {
  margin-bottom: $margin;
}

.btn {
  outline: 0;
  font-family: $font-family;
  border-radius: $border-radius;
  padding: $btn-padding;
  cursor: pointer;
  font-size: inherit;
  width: 45%;
  transition: 0.3s;
  &.btn--primary {
    background-color: $primary-color;
    color: white;
    border: none;
    &:hover {
      background-color: lighten($primary-color, 5%);
    }
  }
  &.btn--flat {
    background: transparent;
    border: none;
    color: $grey;
    &:hover {
      background: $slightly-gray;
    }
  }
}

.float-box {
  &::after {
    content: "";
    display: block;
    clear: both;
  }
  .pull-left {
    float: left;
  }
  .pull-right {
    float: right;
  }
}
